Skip to main content
GET
/
public
/
workspace
/
{workspaceId}
/
links
/
{linkId}
Get recording link
curl --request GET \
  --url https://api.userplane.io/api/v1/public/workspace/{workspaceId}/links/{linkId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.userplane.io/api/v1/public/workspace/{workspaceId}/links/{linkId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.userplane.io/api/v1/public/workspace/{workspaceId}/links/{linkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>",
  "data": {
    "workspaceId": "<string>",
    "link": {
      "linkId": "<string>",
      "linkTitle": "<string>",
      "linkReusable": true,
      "linkProviderId": "<string>",
      "linkProviderReference": "<string>",
      "linkURL": "<string>",
      "linkMeta": {},
      "createdAt": "<unknown>",
      "project": {
        "projectId": "<string>",
        "title": "<string>"
      },
      "creator": {
        "workspaceMemberId": "<string>",
        "name": "<string>"
      },
      "domain": {
        "domainId": "<string>",
        "url": "<string>"
      }
    }
  }
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Invalid request parameters. Check the request body and query parameters. See https://docs.userplane.io/api/error-handling",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "API key is required. Include it as Authorization: Bearer <your-api-key>. See https://docs.userplane.io/api/authentication",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "The API key is disabled. Enable it or create a new key. See https://docs.userplane.io/api/authentication",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Workspace not found",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Workspace has been deleted",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Rate limit exceeded. Wait and retry with exponential backoff. See https://docs.userplane.io/api/rate-limits",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "API key verification service is temporarily unavailable. Please try again later. See https://docs.userplane.io/api/error-handling",
"data": "<unknown>"
}
Returns details for a specific recording link.

Errors

Error codeStatusDescription
LINK_NOT_FOUND404Link does not exist
LINK_GONE410Link has been deleted
Also returns common authentication errors.

Update Link

Update this link’s settings

Delete Link

Soft-delete this link

List Links

View all links in the workspace

List Recordings

Recordings captured from this link

Authorizations

Authorization
string
header
required

API key with uspl_ prefix. Create keys at dash.userplane.io/_/account?tab=developers

Path Parameters

workspaceId
string
required
Minimum string length: 1
Minimum string length: 1

Response

OK

message
string
required
data
object
required